Subject: Base code for porting to new HW

From: Hwa Jin Bae <[email-masked]>
Date: Mon, 23 Nov 1998 18:40:54 -0800

Hi!

First, sorry for the long message... but I am rather stuck here
so I might as well as around.

As mentioned in my previous posting, I have ported the ARM Linux
kernel based on 2.1.126 + pre-patch from www.arm.linux.org.uk site
onto a new HW similar to EBSA285.  The kernel works reasonably
well enough to start running /sbin/init.  Due to lack of working
glibc compatible with my cross development environment (Linux/i686 ->
StrongARM) I am unable to (yet) compile a /sbin/init.  Instead I 
have been trying to use various StrongARM versions of /sbin/init
for NetWinder kernel, which does not seem to work with 2.1.126
based kernel.  When trying to compile glibc 2.0.102  for cross
compiling from Linux/i686 -> StrongARM, I run into a bunch
of problems, the worst of which has to do with multiple definitions
of funtions when libc.so is being built (this does not happen
when building native on a given architecture).

Anyway, after trying to obtain a reasonable base code for the
porting effort based on latest available code on the net I am
not able to put together a reasonable system that can be ported.
At this point my only other alternative seems to be to retarget
the Corel's netwinder kernel which is based on 2.0.X.  I'd really
prefer not to use the old base, but at least I know the port works.
Reading various web pages, I am lead to believe that there are
2.1.X based Linux ports to EBSA285 style computers out there.
However, I am not able to receive any assistance in locating a
cohesive distribution that works on a given platform (either
original EBSA285 and CATS I have here).

If any of you are in a similar situation and would like to suggest
any ideas or words of wisdom I would greatly appreciate it.  
I'd really like to avoid having to start porting netwinder code
to my HW since it is 2.0 based, and I could definitely use
the latest feature in 2.1 kernels (better PCI IDE code for example).

-- 
Hwa Jin Bae
PSO Systems Inc
mailto:[email-masked]
http://www.pso.com
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Hwa Jin Bae <[email-masked]>
Date: Tue, 24 Nov 1998 09:42:48 -0800

I have noticed that netwinder code has a few low level things done
differently (start address is 0xc000c000 instead of 0xc0008000 and they
have bunch of specific assembly code setup in headXXX.S  for netwinder,
etc.)  Other than that, it seems that NetWinder is fairly similar to a
stock EBSA285 (with many things added to it of course).

I really would rather much prefer using Russell's tree, because his code
is the "official" tree and I like the overall consideration to different
board support better (for example, you can configure for different board
targets, as opposed to netwinder kernel release I have here which
defaults to VNC when you make config).  2.1.X PCI support also seems to
be better over all...

I've tried using various copies of sh binaries with no success.  A kind
person has just sent me a copy of sh that I can try this morning. 
Apparently this one works so I will give it a go... more later.

Thanks again to all who responded!